Page MenuHomePhabricator

Pasting tables from Google sheets pollutes the document with data-sheets- attributes
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : wmf/1.34.0-wmf.1Restore external paste sanitization of DOM elements
mediawiki/extensions/VisualEditor : masterRestore external paste sanitization of DOM elements

Event Timeline

Esanders created this task.Apr 23 2019, 4:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2019, 4:31 PM

I think this is a regression caused by out paste rules refactor: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/VisualEditor/+/502558/

Change 505865 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Restore external paste sanitization of DOM elements

https://gerrit.wikimedia.org/r/505865

Esanders triaged this task as Unbreak Now! priority.Apr 23 2019, 6:51 PM

This is potentially polluting the wikis with lots of unwanted HTML attributes as we accidentally turned of DOM node sanitisation, so we should backport.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptApr 23 2019, 6:51 PM

Change 505865 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Restore external paste sanitization of DOM elements

https://gerrit.wikimedia.org/r/505865

Change 506022 had a related patch set uploaded (by Jforrester; owner: Esanders):
[mediawiki/extensions/VisualEditor@wmf/1.34.0-wmf.1] Restore external paste sanitization of DOM elements

https://gerrit.wikimedia.org/r/506022

Change 506022 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.34.0-wmf.1] Restore external paste sanitization of DOM elements

https://gerrit.wikimedia.org/r/506022

Mentioned in SAL (#wikimedia-operations) [2019-04-23T23:20:18Z] <jforrester@deploy1001> Synchronized php-1.34.0-wmf.1/extensions/VisualEditor/modules/ve-mw/init/ve.init.mw.Target.js: SWAT T221668 VisualEditor: Restore external paste sanitization of DOM elements (duration: 00m 55s)

Jdforrester-WMF closed this task as Resolved.Apr 30 2019, 9:33 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This was deployed.